!
!  MMS/MMK Build script for VMS.
!
!  This is the "build script" for building eVAX on an Alpha/VMS system.
!  It's been testing using MMK, a freeware replacement for the build
!  engine in MMS, available from MadGoat.  This file should work with
!  little or no modification on Compaq's MMS system, but I don't have it
!  so I can't try it out.  If you are building on a system other than
!  VMS, this file won't help.  Look in the source directory for a makefile
!  for Unix, or construct a project file for IDEs on MacOS or Windows.
!
!  Note:  The link step invokes a program called MODIMAGE which turns
!         the debug flag in the image header off.  If you don't have
!         MODIMAGE you can just remove this step, and RUN/NODEBUG in
!         the debug case (or get another utility for mucking with images).
!
!  02/02/99    Added EMUL_CRC
!  09/03/99    Added EMUL_MATCHC, EMUL_SKPC, DISASM_OPERAND
!  09/13/99    Added MEMORY_IO.C
!

cflags = /opt/float=ieee/include=[.headers]/def=VMS/obj=[.object]
lflags = /nodebug
#cflags = /list/noopt/debug/float=iee/def=("VMS",debug=1)/list=[.list]/include=[.headers]/obj=[.object]
#lflags = /debug


EVAX.EXE : [.OBJECT]ASM.OBJ,-
[.OBJECT]ASM_EXPR.OBJ, -
[.OBJECT]ASM_LABEL.OBJ, - 
[.OBJECT]ASM_OPCODE.OBJ, - 
[.OBJECT]ASM_OPERAND.OBJ, - 
[.OBJECT]ASM_PSEUDO.OBJ, - 
[.OBJECT]ASM_REGISTER.OBJ, - 
[.OBJECT]ASM_SYMBOLS.OBJ, - 
[.OBJECT]ASM_VALUE.OBJ, - 
[.OBJECT]CONSOLE.OBJ, - 
[.OBJECT]CONSOLE_CLEAR.OBJ, - 
[.OBJECT]CONSOLE_DISASM.OBJ, - 
[.OBJECT]CONSOLE_DISPATCH.OBJ, - 
[.OBJECT]CONSOLE_EXAM.OBJ, - 
[.OBJECT]CONSOLE_EXEC.OBJ, - 
[.OBJECT]CONSOLE_INCLUDE.OBJ, - 
[.OBJECT]CONSOLE_INIT.OBJ, - 
[.OBJECT]CONSOLE_LOAD.OBJ, - 
[.OBJECT]CONSOLE_PRINT.OBJ, - 
[.OBJECT]CONSOLE_QUIT.OBJ, - 
[.OBJECT]CONSOLE_SAVE.OBJ, - 
[.OBJECT]CONSOLE_SET.OBJ, - 
[.OBJECT]CONSOLE_SHOW.OBJ, - 
[.OBJECT]CONSOLE_STEP.OBJ, - 
[.OBJECT]CONSOLE_TEST.OBJ, - 
[.OBJECT]CONSOLE_TIME.OBJ, - 
[.OBJECT]CONSOLE_VMINIT.OBJ, - 
[.OBJECT]CONSOLE_ZERO.OBJ, - 
[.OBJECT]DECODE_OPCODE.OBJ, - 
[.OBJECT]DECODE_OPERAND.OBJ, - 
[.OBJECT]DISASM_OPERAND.OBJ, - 
[.OBJECT]DRIVER.OBJ, - 
[.OBJECT]EMUL_ASH.OBJ, - 
[.OBJECT]EMUL_BITFIELD.OBJ, - 
[.OBJECT]EMUL_BRANCH.OBJ, - 
[.OBJECT]EMUL_CALL.OBJ, - 
[.OBJECT]EMUL_CLR.OBJ, - 
[.OBJECT]EMUL_CMP.OBJ, - 
[.OBJECT]EMUL_CMPC.OBJ, - 
[.OBJECT]EMUL_CRC.OBJ, - 
[.OBJECT]EMUL_EXTENDED.OBJ, - 
[.OBJECT]EMUL_FLOAT_MATH.OBJ, - 
[.OBJECT]EMUL_INCREMENT.OBJ, - 
[.OBJECT]EMUL_INTEGER_CVT.OBJ, - 
[.OBJECT]EMUL_INTEGER_MATH.OBJ, - 
[.OBJECT]EMUL_INTERLOCK.OBJ, - 
[.OBJECT]EMUL_LOCC.OBJ, - 
[.OBJECT]EMUL_LOOP.OBJ, - 
[.OBJECT]EMUL_MATCHC.OBJ, - 
[.OBJECT]EMUL_MISC.OBJ, - 
[.OBJECT]EMUL_MOV.OBJ, - 
[.OBJECT]EMUL_MOVA.OBJ, - 
[.OBJECT]EMUL_MOVC.OBJ, - 
[.OBJECT]EMUL_PROCREG.OBJ, - 
[.OBJECT]EMUL_PUSH.OBJ, - 
[.OBJECT]EMUL_SKPC.OBJ, - 
[.OBJECT]EMUL_XFC.OBJ, - 
[.OBJECT]ERRORS.OBJ, - 
[.OBJECT]FPU.OBJ, - 
[.OBJECT]HELP.OBJ, - 
[.OBJECT]INITIALIZATION.OBJ, - 
[.OBJECT]INIT_EMULATORS.OBJ, - 
[.OBJECT]INIT_SYMBOLS.OBJ, - 
[.OBJECT]INTERRUPT.OBJ, - 
[.OBJECT]MEMORY_IO.OBJ, -
[.OBJECT]PARSE.OBJ, - 
[.OBJECT]REGISTERS.OBJ, - 
[.OBJECT]SAVE_BINARY.OBJ, - 
[.OBJECT]STORAGE.OBJ, - 
[.OBJECT]VAX.OBJ, - 
[.OBJECT]CONSOLE_RUN.OBJ, [.OBJECT]SHIM.OBJ, [.OBJECT]LIBRTL.OBJ,-
[.OBJECT]VM.OBJ
		link $(lflags) evax/opt
                modimage /nodebug/log evax.exe



[.OBJECT]ASM_EXPR.OBJ : [.SOURCE]ASM_EXPR.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_EXPR.C

[.OBJECT]ASM_LABEL.OBJ : [.SOURCE]ASM_LABEL.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_LABEL.C

[.OBJECT]ASM_OPCODE.OBJ : [.SOURCE]ASM_OPCODE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_OPCODE.C

[.OBJECT]ASM_OPERAND.OBJ : [.SOURCE]ASM_OPERAND.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]ASM_OPERAND.C

[.OBJECT]ASM_PSEUDO.OBJ : [.SOURCE]ASM_PSEUDO.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H,-
[.HEADERS]FPU.H,-
[.HEADERS]PTE.H,-
[.HEADERS]CONSOLE_PROTO.H
	CC $(CFLAGS) [.SOURCE]ASM_PSEUDO.C

[.OBJECT]ASM_REGISTER.OBJ : [.SOURCE]ASM_REGISTER.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_REGISTER.C

[.OBJECT]ASM_SYMBOLS.OBJ : [.SOURCE]ASM_SYMBOLS.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_SYMBOLS.C

[.OBJECT]ASM_VALUE.OBJ : [.SOURCE]ASM_VALUE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM_VALUE.C

[.OBJECT]CONSOLE.OBJ : [.SOURCE]CONSOLE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]ASMPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE.C

[.OBJECT]CONSOLE_CLEAR.OBJ : [.SOURCE]CONSOLE_CLEAR.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_CLEAR.C

[.OBJECT]CONSOLE_DISASM.OBJ : [.SOURCE]CONSOLE_DISASM.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]VAXINSTR.H, -
[.HEADERS]ASMPROTO.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_DISASM.C

[.OBJECT]CONSOLE_DISPATCH.OBJ : [.SOURCE]CONSOLE_DISPATCH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_DISPATCH.C

[.OBJECT]CONSOLE_EXAM.OBJ : [.SOURCE]CONSOLE_EXAM.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]FPU.H,-
[.HEADERS]PTE.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_EXAM.C

[.OBJECT]CONSOLE_EXEC.OBJ : [.SOURCE]CONSOLE_EXEC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_EXEC.C

[.OBJECT]CONSOLE_INCLUDE.OBJ : [.SOURCE]CONSOLE_INCLUDE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_INCLUDE.C

[.OBJECT]CONSOLE_INIT.OBJ : [.SOURCE]CONSOLE_INIT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_INIT.C

[.OBJECT]CONSOLE_LOAD.OBJ : [.SOURCE]CONSOLE_LOAD.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_LOAD.C

[.OBJECT]CONSOLE_PRINT.OBJ : [.SOURCE]CONSOLE_PRINT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_PRINT.C

[.OBJECT]CONSOLE_QUIT.OBJ : [.SOURCE]CONSOLE_QUIT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_QUIT.C

[.OBJECT]CONSOLE_SAVE.OBJ : [.SOURCE]CONSOLE_SAVE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_SAVE.C

[.OBJECT]CONSOLE_SET.OBJ : [.SOURCE]CONSOLE_SET.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]PTE.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_SET.C

[.OBJECT]CONSOLE_SHOW.OBJ : [.SOURCE]CONSOLE_SHOW.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_SHOW.C

[.OBJECT]CONSOLE_STEP.OBJ : [.SOURCE]CONSOLE_STEP.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_STEP.C

[.OBJECT]CONSOLE_TEST.OBJ : [.SOURCE]CONSOLE_TEST.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_TEST.C

[.OBJECT]CONSOLE_TIME.OBJ : [.SOURCE]CONSOLE_TIME.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_TIME.C

[.OBJECT]CONSOLE_VMINIT.OBJ : [.SOURCE]CONSOLE_VMINIT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]PTE.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_VMINIT.C

[.OBJECT]CONSOLE_ZERO.OBJ : [.SOURCE]CONSOLE_ZERO.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]CONSOLE_PROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_ZERO.C

[.OBJECT]DECODE_OPCODE.OBJ : [.SOURCE]DECODE_OPCODE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]DECODE_OPCODE.C

[.OBJECT]DECODE_OPERAND.OBJ : [.SOURCE]DECODE_OPERAND.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]DECODE_OPERAND.C

[.OBJECT]DISASM_OPERAND.OBJ : [.SOURCE]DISASM_OPERAND.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]DISASM_OPERAND.C

[.OBJECT]DRIVER.OBJ : [.SOURCE]DRIVER.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]DRIVER.C

[.OBJECT]EMUL_ASH.OBJ : [.SOURCE]EMUL_ASH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_ASH.C

[.OBJECT]EMUL_BITFIELD.OBJ : [.SOURCE]EMUL_BITFIELD.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]PTE.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_BITFIELD.C

[.OBJECT]EMUL_BRANCH.OBJ : [.SOURCE]EMUL_BRANCH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_BRANCH.C

[.OBJECT]EMUL_CALL.OBJ : [.SOURCE]EMUL_CALL.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_CALL.C

[.OBJECT]EMUL_CLR.OBJ : [.SOURCE]EMUL_CLR.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_CLR.C

[.OBJECT]EMUL_CMP.OBJ : [.SOURCE]EMUL_CMP.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]EMUL_CMP.C

[.OBJECT]EMUL_CMPC.OBJ : [.SOURCE]EMUL_CMPC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_CMPC.C

[.OBJECT]EMUL_CRC.OBJ : [.SOURCE]EMUL_CRC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_CRC.C

[.OBJECT]EMUL_EXTENDED.OBJ : [.SOURCE]EMUL_EXTENDED.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_EXTENDED.C

[.OBJECT]EMUL_FLOAT_MATH.OBJ : [.SOURCE]EMUL_FLOAT_MATH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]EMUL_FLOAT_MATH.C

[.OBJECT]EMUL_INCREMENT.OBJ : [.SOURCE]EMUL_INCREMENT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_INCREMENT.C

[.OBJECT]EMUL_INTEGER_CVT.OBJ : [.SOURCE]EMUL_INTEGER_CVT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_INTEGER_CVT.C

[.OBJECT]EMUL_INTEGER_MATH.OBJ : [.SOURCE]EMUL_INTEGER_MATH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_INTEGER_MATH.C

[.OBJECT]EMUL_INTERLOCK.OBJ : [.SOURCE]EMUL_INTERLOCK.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_INTERLOCK.C

[.OBJECT]EMUL_LOCC.OBJ : [.SOURCE]EMUL_LOCC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_LOCC.C

[.OBJECT]EMUL_LOOP.OBJ : [.SOURCE]EMUL_LOOP.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_LOOP.C

[.OBJECT]EMUL_MATCHC.OBJ : [.SOURCE]EMUL_MATCHC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_MATCHC.C

[.OBJECT]EMUL_MISC.OBJ : [.SOURCE]EMUL_MISC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_MISC.C

[.OBJECT]EMUL_MOV.OBJ : [.SOURCE]EMUL_MOV.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]EMUL_MOV.C

[.OBJECT]EMUL_MOVA.OBJ : [.SOURCE]EMUL_MOVA.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_MOVA.C

[.OBJECT]EMUL_MOVC.OBJ : [.SOURCE]EMUL_MOVC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_MOVC.C

[.OBJECT]EMUL_PROCREG.OBJ : [.SOURCE]EMUL_PROCREG.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_PROCREG.C

[.OBJECT]EMUL_PUSH.OBJ : [.SOURCE]EMUL_PUSH.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_PUSH.C

[.OBJECT]EMUL_SKPC.OBJ : [.SOURCE]EMUL_SKPC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_SKPC.C

[.OBJECT]EMUL_TEST.OBJ : [.SOURCE]EMUL_TEST.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_TEST.C

[.OBJECT]EMUL_XFC.OBJ : [.SOURCE]EMUL_XFC.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]PTE.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]EMUL_XFC.C

[.OBJECT]ERRORS.OBJ : [.SOURCE]ERRORS.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]ERRORS.C

[.OBJECT]FPU.OBJ : [.SOURCE]FPU.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H,-
[.HEADERS]FPU.H
	CC $(CFLAGS) [.SOURCE]FPU.C

[.OBJECT]HELP.OBJ : [.SOURCE]HELP.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]HELP.C

[.OBJECT]INITIALIZATION.OBJ : [.SOURCE]INITIALIZATION.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]INITIALIZATION.C

[.OBJECT]INIT_EMULATORS.OBJ : [.SOURCE]INIT_EMULATORS.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]INIT_EMULATORS.C

[.OBJECT]INIT_SYMBOLS.OBJ : [.SOURCE]INIT_SYMBOLS.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]INIT_SYMBOLS.C

[.OBJECT]INTERRUPT.OBJ : [.SOURCE]INTERRUPT.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]INTERRUPT.C

[.OBJECT]PARSE.OBJ : [.SOURCE]PARSE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]PARSE.C

[.OBJECT]REGISTERS.OBJ : [.SOURCE]REGISTERS.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]REGISTERS.C

[.OBJECT]SAVE_BINARY.OBJ : [.SOURCE]SAVE_BINARY.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]SAVE_BINARY.C

[.OBJECT]MEMORY_IO.OBJ : [.SOURCE]MEMORY_IO.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H
	CC $(CFLAGS) [.SOURCE]MEMORY_IO.C

[.OBJECT]STORAGE.OBJ : [.SOURCE]STORAGE.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]PTE.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]STORAGE.C

[.OBJECT]VAX.OBJ : [.SOURCE]VAX.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]VAX.C

[.OBJECT]VM.OBJ : [.SOURCE]VM.C,-
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]PTE.H,-
[.HEADERS]EMULATOR_ENTRIES.H
	CC $(CFLAGS) [.SOURCE]VM.C

[.OBJECT]ASM.OBJ : [.SOURCE]ASM.C, -
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]ASM.C

[.OBJECT]SHIM.OBJ : [.SOURCE]SHIM.C
	CC $(CFLAGS) [.SOURCE]SHIM.C
 
[.OBJECT]LIBRTL.OBJ : [.SOURCE]LIBRTL.C
	CC $(CFLAGS) [.SOURCE]LIBRTL.C

[.OBJECT]CONSOLE_RUN.OBJ : [.SOURCE]CONSOLE_RUN.C, -
[.HEADERS]ARCH.H, -
[.HEADERS]VAX.PCH, -
[.HEADERS]VAXRC.H, -
[.HEADERS]VAXPROTO.H,-
[.HEADERS]EMULATOR_ENTRIES.H, -
[.HEADERS]ASMPROTO.H,-
[.HEADERS]VAXINSTR.H, -
[.HEADERS]INSTRUCTION_TABLE.H
	CC $(CFLAGS) [.SOURCE]CONSOLE_RUN.C
